; (C) 2001-2010 Force Dimension
; All Rights Reserved.
;
; $HeadURL: https://svn.forcedimension.com/trunk/win/installer/dhd.inst $
; $Id: dhd.inst 1495 2010-10-11 08:04:41Z seb $
;
; $Author: seb $
; $Date: 2010-10-11 21:04:41 +1300 (Mon, 11 Oct 2010) $
; $Rev: 1495 $


[Setup]
AppName=CHAI3D x64
AppVerName=CHAI3D 2.1.0 x64 (Professional)
AppPublisher=Force Dimension
AppPublisherURL=http://www.chai3d.org
AppSupportURL=http://www.chai3d.org
AppUpdatesURL=http://www.chai3d.org
DefaultDirName={sd}\CHAI3D\2.1.0-x64\
DefaultGroupName=CHAI3D
LicenseFile=license.txt
Compression=lzma
SolidCompression=true
OutputDir=.
OutputBaseFilename=chai3d-2.1.0-x64
AppCopyright=CHAI3D
PrivilegesRequired=admin
ShowLanguageDialog=yes
SetupIconFile=..\bin\resources\icons\fd.ico
ArchitecturesInstallIn64BitMode=x64

[Tasks]
Name: desktopicon; Description: {cm:CreateDesktopIcon}; GroupDescription: {cm:AdditionalIcons}


[Files]

; system files
; NOTE: Don't use "Flags: ignoreversion" on any shared system files
Source: .\vcredist_x64.exe; DestDir: {syswow64}; Components: System_Files

; executables folder
Source: ..\bin\01-devices.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\10-oring.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\11-effects.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\12-polygons.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\20-map.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\21-object.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\22-chrome.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\23-tooth.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\25-cubic.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\40-ODE-cube.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\41-ODE-pool.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\42-ODE-mesh.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\50-GEL-membrane.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\51-GEL-cell.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\52-GEL-duck.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\VirtualDevice.exe; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\ode_double.dll; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\hdPhantom.dll; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\glut32.dll; DestDir: {app}\bin; Components: examples; Flags: ignoreversion
Source: ..\bin\resources\*; DestDir: {app}\bin\resources\; Components: examples; Flags: ignoreversion recursesubdirs; Excludes: .svn

; development folder
Source: ..\src\*; DestDir: {app}\src; Flags: ignoreversion recursesubdirs; Components: development
Source: ..\modules\*; DestDir: {app}\modules; Flags: ignoreversion recursesubdirs; Components: development
Source: ..\lib\msvc9\chai3d-release.lib; DestDir: {app}\lib\msvc9; Flags: ignoreversion; Components: development
Source: ..\lib\msvc9\chai3d-debug.lib; DestDir: {app}\lib\msvc9; Flags: ignoreversion; Components: development

; project file
Source: ..\projects\msvc9\CHAI3D.sln; DestDir: {app}\projects\msvc9; Flags: ignoreversion; Components: development
Source: ..\projects\msvc9\chai3d_complete.vcproj; DestDir: {app}\projects\msvc9; Flags: ignoreversion; Components: development

; external dependencies
Source: ..\external\freeglut\*; DestDir: {app}\external\freeglut\; Flags: ignoreversion recursesubdirs; Components: development
Source: ..\external\ODE\*; DestDir: {app}\external\ODE\; Flags: ignoreversion recursesubdirs; Components: development

; example project files
Source: ..\examples\msvc9\01-devices\devices.vcproj; DestDir: {app}\examples\msvc9\01-devices; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\01-devices\src\01-devices.cpp; DestDir: {app}\examples\msvc9\01-devices\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\10-oring\oring.vcproj; DestDir: {app}\examples\msvc9\10-oring; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\10-oring\src\10-oring.cpp; DestDir: {app}\examples\msvc9\10-oring\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\11-effects\effects.vcproj; DestDir: {app}\examples\msvc9\11-effects; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\11-effects\src\11-effects.cpp; DestDir: {app}\examples\msvc9\11-effects\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\12-polygons\polygons.vcproj; DestDir: {app}\examples\msvc9\12-polygons; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\12-polygons\src\12-polygons.cpp; DestDir: {app}\examples\msvc9\12-polygons\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\20-map\map.vcproj; DestDir: {app}\examples\msvc9\20-map; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\20-map\src\20-map.cpp; DestDir: {app}\examples\msvc9\20-map\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\21-object\object.vcproj; DestDir: {app}\examples\msvc9\21-object; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\21-object\src\21-object.cpp; DestDir: {app}\examples\msvc9\21-object\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\22-chrome\chrome.vcproj; DestDir: {app}\examples\msvc9\22-chrome; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\22-chrome\src\22-chrome.cpp; DestDir: {app}\examples\msvc9\22-chrome\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\23-tooth\tooth.vcproj; DestDir: {app}\examples\msvc9\23-tooth; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\23-tooth\src\23-tooth.cpp; DestDir: {app}\examples\msvc9\23-tooth\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\25-cubic\cubic.vcproj; DestDir: {app}\examples\msvc9\25-cubic; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\25-cubic\src\25-cubic.cpp; DestDir: {app}\examples\msvc9\25-cubic\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\40-ODE-cube\ode-cube.vcproj; DestDir: {app}\examples\msvc9\40-ODE-cube; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\40-ODE-cube\src\40-ODE-cubic.cpp; DestDir: {app}\examples\msvc9\40-ODE-cube\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\41-ODE-pool\ode-pool.vcproj; DestDir: {app}\examples\msvc9\41-ODE-pool; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\41-ODE-pool\src\41-ODE-pool.cpp; DestDir: {app}\examples\msvc9\41-ODE-pool\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\42-ODE-mesh\ode-mesh.vcproj; DestDir: {app}\examples\msvc9\42-ODE-mesh; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\42-ODE-mesh\src\42-ODE-mesh.cpp; DestDir: {app}\examples\msvc9\42-ODE-mesh\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\50-GEL-membrane\GEL-membrane.vcproj; DestDir: {app}\examples\msvc9\50-GEL-membrane; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\50-GEL-membrane\src\50-GEL-membrane.cpp; DestDir: {app}\examples\msvc9\50-GEL-membrane\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\51-GEL-cell\GEL-cell.vcproj; DestDir: {app}\examples\msvc9\51-GEL-cell; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\51-GEL-cell\src\51-GEL-cell.cpp; DestDir: {app}\examples\msvc9\51-GEL-cell\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\52-GEL-duck\GEL-duck.vcproj; DestDir: {app}\examples\msvc9\52-GEL-duck; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\52-GEL-duck\src\52-GEL-duck.cpp; DestDir: {app}\examples\msvc9\52-GEL-duck\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\52-GEL-duck\src\geometry.h; DestDir: {app}\examples\msvc9\52-GEL-duck\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\52-GEL-duck\src\predicates.cpp; DestDir: {app}\examples\msvc9\52-GEL-duck\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\52-GEL-duck\src\tetgen.cpp; DestDir: {app}\examples\msvc9\52-GEL-duck\src; Flags: ignoreversion; Components: examples
Source: ..\examples\msvc9\52-GEL-duck\src\tetgen.h; DestDir: {app}\examples\msvc9\52-GEL-duck\src; Flags: ignoreversion; Components: examples

; documentation
Source: ..\doc\*; DestDir: {app}\doc; Components: doc; Flags: ignoreversion recursesubdirs

[Icons]
Name: {userdesktop}\CHAI3D Development Folder; Filename: {app}; Tasks: desktopicon; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0; Components:
Name: {group}\2.1.0-x64\Development Folder; Filename: {app}\
Name: {group}\2.1.0-x64\examples\01-devices; Filename: {app}\bin\01-devices.exe; Tasks: desktopicon; WorkingDir: {app}\bin; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0
Name: {group}\2.1.0-x64\examples\10-oring; Filename: {app}\bin\10-oring.exe; Tasks: desktopicon; WorkingDir: {app}\bin; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0
Name: {group}\2.1.0-x64\examples\11-effects; Filename: {app}\bin\11-effects.exe; Tasks: desktopicon; WorkingDir: {app}\bin; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0
Name: {group}\2.1.0-x64\examples\12-polygons; Filename: {app}\bin\12-polygons.exe; Tasks: desktopicon; WorkingDir: {app}\bin; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0
Name: {group}\2.1.0-x64\examples\20-map; Filename: {app}\bin\20-map.exe; Tasks: desktopicon; WorkingDir: {app}\bin; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0
Name: {group}\2.1.0-x64\examples\21-object; Filename: {app}\bin\21-object.exe; Tasks: desktopicon; WorkingDir: {app}\bin; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0
Name: {group}\2.1.0-x64\examples\22-chrome; Filename: {app}\bin\22-chrome.exe; Tasks: desktopicon; WorkingDir: {app}\bin; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0
Name: {group}\2.1.0-x64\examples\23-tooth; Filename: {app}\bin\23-tooth.exe; Tasks: desktopicon; WorkingDir: {app}\bin; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0
Name: {group}\2.1.0-x64\examples\25-cubic; Filename: {app}\bin\25-cubic.exe; Tasks: desktopicon; WorkingDir: {app}\bin; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0
Name: {group}\2.1.0-x64\examples\40-ODE-cube; Filename: {app}\bin\40-ODE-cube.exe; Tasks: desktopicon; WorkingDir: {app}\bin; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0
Name: {group}\2.1.0-x64\examples\41-ODE-pool; Filename: {app}\bin\41-ODE-pool.exe; Tasks: desktopicon; WorkingDir: {app}\bin; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0
Name: {group}\2.1.0-x64\examples\42-ODE-mesh; Filename: {app}\bin\42-ODE-mesh.exe; Tasks: desktopicon; WorkingDir: {app}\bin; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0
Name: {group}\2.1.0-x64\examples\50-GEL-membrane; Filename: {app}\bin\50-ODE-membrane.exe; Tasks: desktopicon; WorkingDir: {app}\bin; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0
Name: {group}\2.1.0-x64\examples\51-GEL-cell; Filename: {app}\bin\51-ODE-cell.exe; Tasks: desktopicon; WorkingDir: {app}\bin; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0
Name: {group}\2.1.0-x64\examples\52-GEL-duck; Filename: {app}\bin\52-ODE-duck.exe; Tasks: desktopicon; WorkingDir: {app}\bin; IconFilename: {app}\bin\resources\icons\fd.ico; IconIndex: 0
Name: {group}\2.1.0-x64\Manuals\Documentation; Filename: {app}\doc\resources\html\index.html
Name: {group}\CHAI3D Website; Filename: http://www.chai3d.org; IconFilename: {app}\bin\resources\icons\fd.ico

[Run]
Filename: {syswow64}\vcredist_x64.exe; Parameters: /q; WorkingDir: {syswow64}; StatusMsg: Installing Microsoft runtime files (this may take a few seconds) ...

[Components]
Name: development; Description: CHAI3D Development Files; Types: custom compact full
Name: doc; Description: CHAI3D Documentation; Types: full
Name: examples; Description: CHAI3D Programming Examples; Types: full
Name: system_files; Description: Necessary system files; Types: custom compact full































